%define major	1
%define	libname	%mklibname aio %{major}
%define	libnamedev %mklibname aio -d
%define	libnamedev_static %mklibname aio -d -s

Name:		libaio
Version:	0.3.113
Release:	%mkrel 2

Summary: 	Linux-native asynchronous I/O access library
License: 	LGPLv2+
Group:	 	System/Libraries
Source: 	https://releases.pagure.org/libaio/%{name}-%{version}.tar.gz

%description
The Linux-native asynchronous I/O facility ("async I/O", or "aio") has a
richer API and capability set than the simple POSIX async I/O facility.
This library, libaio, provides the Linux-native API for async I/O.
The POSIX async I/O facility requires this library in order to provide
kernel-accelerated async I/O capabilities, as do applications which
require the Linux-native async I/O API.
You may require this package if you want to install some DBMS.

%package -n     %{libname}
Summary:        Dynamic libraries for libaio
Group:          System/Libraries
Provides:	%{name} = %{version}-%{release}

%description -n %{libname}
The Linux-native asynchronous I/O facility ("async I/O", or "aio") has a
richer API and capability set than the simple POSIX async I/O facility.
This library, libaio, provides the Linux-native API for async I/O.
The POSIX async I/O facility requires this library in order to provide
kernel-accelerated async I/O capabilities, as do applications which
require the Linux-native async I/O API.

%package -n	%{libnamedev}
Summary:	Development and include files for libaio
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:	%{libname}-devel

%description -n	%{libnamedev}
The Linux-native asynchronous I/O facility ("async I/O", or "aio") has a
richer API and capability set than the simple POSIX async I/O facility.
This library, libaio, provides the Linux-native API for async I/O.
The POSIX async I/O facility requires this library in order to provide
kernel-accelerated async I/O capabilities, as do applications which
require the Linux-native async I/O API.

This archive contains the header-files for %{libname} development.

%package -n	%{libnamedev_static}
Summary:	Development components for libaio
Group:		Development/C
Requires:	%{libnamedev} = %{version}-%{release}
Obsoletes:	%{libname}-static-devel

%description -n	%{libnamedev_static}
The Linux-native asynchronous I/O facility ("async I/O", or "aio") has a
richer API and capability set than the simple POSIX async I/O facility.
This library, libaio, provides the Linux-native API for async I/O.
The POSIX async I/O facility requires this library in order to provide
kernel-accelerated async I/O capabilities, as do applications which
require the Linux-native async I/O API.

This archive contains the static libraries (.a) 

%prep
%setup -q -a 0
mv %{name}-%{version} compat-%{name}-%{version}

%build
export CFLAGS="%{optflags}"
# A library with a soname of 1.0.0 was inadvertantly released.  This
# build process builds a version of the library with the broken soname in
# the compat-libaio-0.3.103 directory, and then builds the library again
# with the correct soname.
cd compat-%{name}-%{version}
%make_build \
    soname='libaio.so.1.0.0' libname='libaio.so.1.0.0' \
    CFLAGS="%{optflags} -I. -fPIC"
cd ..
%make_build CFLAGS="%{optflags} -I. -fPIC"

%install
cd compat-%{name}-%{version}
install -D -m 755 src/libaio.so.1.0.0 \
  %{buildroot}/%{_libdir}/libaio.so.1.0.0
cd ..
%make_build libdir=%{buildroot}%{_libdir} \
	includedir=%{buildroot}%{_includedir} \
    install

%files -n %{libname}
%{_libdir}/libaio.so.%{major}{,.*}

%files -n %{libnamedev}
%doc COPYING TODO
%{_includedir}/*
%{_libdir}/libaio.so

%files -n %{libnamedev_static}
%{_libdir}/libaio.a


%changelog
* Fri Feb 28 2025 ns80 <ns80> 0.3.113-2.mga10
+ Revision: 2153860
- try to fix build

* Mon Oct 03 2022 neoclust <neoclust> 0.3.113-1.mga9
+ Revision: 1894499
- New version

* Tue Mar 15 2022 umeabot <umeabot> 0.3.112-2.mga9
+ Revision: 1792951
- Mageia 9 Mass Rebuild

* Wed Dec 02 2020 luigiwalser <luigiwalser> 0.3.112-1.mga8
+ Revision: 1651762
- 0.3.112

* Thu Feb 13 2020 umeabot <umeabot> 0.3.111-3.mga8
+ Revision: 1513893
- Mageia 8 Mass Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 0.3.111-2.mga7
+ Revision: 1298751
- Mageia 7 Mass Rebuild

* Wed Apr 04 2018 kekepower <kekepower> 0.3.111-1.mga7
+ Revision: 1215244
- Update to version 0.3.111

* Tue Feb 02 2016 umeabot <umeabot> 0.3.110-4.mga6
+ Revision: 932790
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.3.110-3.mga5
+ Revision: 741825
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.3.110-2.mga5
+ Revision: 681323
- Mageia 5 Mass Rebuild

* Fri Mar 07 2014 luigiwalser <luigiwalser> 0.3.110-1.mga5
+ Revision: 600869
- 0.3.110
- remove unused patch

* Fri Oct 18 2013 umeabot <umeabot> 0.3.109-5.mga4
+ Revision: 506842
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 0.3.109-4.mga3
+ Revision: 356792
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Nov 15 2012 zezinho <zezinho> 0.3.109-3.mga3
+ Revision: 318334
- spec cleanup

* Thu Jan 13 2011 dmorgan <dmorgan> 0.3.109-2.mga1
+ Revision: 8972
- Remove mdv macros
- imported package libaio


* Sun Nov 28 2010 Oden Eriksson <oeriksson@mandriva.com> 0.3.109-2mdv2011.0
+ Revision: 602517
- rebuild

* Mon Jan 11 2010 Jérôme Brenier <incubusss@mandriva.org> 0.3.109-1mdv2010.1
+ Revision: 489443
- new version 0.3.109
- fix Source url

* Wed Sep 02 2009 Christophe Fergeau <cfergeau@mandriva.com> 0.3.107-3mdv2010.0
+ Revision: 425512
- rebuild

* Sun Mar 15 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.3.107-2mdv2009.1
+ Revision: 355399
- drop useless patch
- ship missing files

* Mon Mar 09 2009 Emmanuel Andry <eandry@mandriva.org> 0.3.107-1mdv2009.1
+ Revision: 353132
- New version 0.3.107
- sync with fedora

* Mon Aug 25 2008 Emmanuel Andry <eandry@mandriva.org> 0.3.104-6mdv2009.0
+ Revision: 275993
- apply devel policy
- fix license
- check major

* Fri Jul 25 2008 Thierry Vignaud <tv@mandriva.org> 0.3.104-5mdv2009.0
+ Revision: 248409
- rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Mon Dec 17 2007 Thierry Vignaud <tv@mandriva.org> 0.3.104-3mdv2008.1
+ Revision: 128421
- kill re-definition of %%buildroot on Pixel's request
- import libaio


* Sat Mar 25 2006 Giuseppe Ghibò <ghibo@mandriva.com> 0.3.104-3mdk
- Added _requires_exceptions statically\\|linked for release < 200610
  (workaround for bug in rpm-mandriva-setup for 2006.0).

* Thu Mar 16 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.3.104-2mdk
- Rebuild with new rpm-mandriva-setup to avoid false dependencies in -devel

* Wed Dec 28 2005 Austin Acton <austin@mandriva.org> 0.3.104-1mdk
- initial import from Loic Baudry <loic.baudry@laposte.com> with fixes
